<template>
  <b-card no-body class="p-4 border-0" style="height: 100%;">
    <h5 class="mb-0">
      当日签到
    </h5>
    <div style="height:80%"><vue-echart :options="pieOptions" :theme="polarTheme" :auto-resize="true"></vue-echart></div>
    <!-- <vue-echart :options="pieOptions" :theme="polarTheme" :auto-resize="true"></vue-echart> -->
    <!-- <vue-echart :options="barOptions" :auto-resize="true"></vue-echart> -->
    <div><div style="float:left">迟到 5人：</div><b-progress variant="success" :value="5/8*100" style="margin-top:5px" height="0.75rem" /></div>
    <div><div style="float:left">早退 3人：</div><b-progress variant="info" :value="3/8*100" style="margin-top:5px" height="0.75rem" /></div>
  </b-card>
</template>
<style>
.echarts {
  height: 100% !important;
  width: 100% !important;
}
</style>
<script>
import ECharts from 'vue-echarts/components/ECharts.vue'
import 'echarts/lib/chart/pie'
import 'echarts/theme/shine'
import { getTeacherSignCountData } from '@/server/home.js'

export default {
  name: 'HomePieChart',
  props: {},
  data() {
    return {
      userInfo: this.$store.getters.basicUserInfo,
      /* 图表 */
      // pieOptions: pieOption,
      polarTheme: 'shine',
      mapList: [],
      tabMap: '',
      /* 地图组件使用 */
      mapInfo: null,
      deviceArr: [],
      deviceInfo: null,
      mapDeviceType: [],
      pieOptions: {
        tooltip: {
          trigger: 'item',
          formatter: '{a} <br/>{b}: {c} ({d}%)'
        },
        title: {},
        legend: {
        },
        series: [
          {
            name: '签到统计',
            type: 'pie',
            radius: ['50%', '80%'],
            center: ['50%', '55%'],
            avoidLabelOverlap: false,
            label: {
              normal: {
                show: false,
                position: 'center'
              },
              emphasis: {
                show: false,
                textStyle: {
                  fontSize: '15',
                  fontWeight: 'bold'
                }
              }
            },
            labelLine: {
              normal: {
                show: false
              }
            },
            data: [
            ]
          }
        ]
      }

    }
  },
  methods: {
    /* 查询图表数据 */
    async getTeacherSignCountData() {
      let res = await getTeacherSignCountData({
        orgId: this.userInfo.orgId,
        type: 'teacher',
        signDate: this.$moment().format('YYYY-MM-DD')
      })
      if (
        res &&
        !isNaN(parseInt(res.unsigned)) &&
        !isNaN(parseInt(res.signed))
      ) {
        const countNum = parseInt(res.unsigned) + parseInt(res.signed)
        this.pieOptions.series[0].data = [
          { value: 50, name: '未签到', countNum },
          { value: 12, name: '已签到', countNum }
        ]
      }
      this.pieOptions.title = {
        text: '总/62',
        top: '48%',
        left: '44%',
        textStyle: {fontSize: '14'}
      }

      this.pieOptions.legend = {
        bottom: 10,
        top: '0px',
        data: [{name: '未签到', icon: 'circle'}, {name: '已签到', icon: 'circle'}]
      }
    }
  },
  created() {
    this.getTeacherSignCountData()
  },
  components: {
    'vue-echart': ECharts
  }
}
</script>

<style lang="scss" scoped>
.btn-content {
  display: flex;
  justify-content: flex-end;
}
.alarm-box {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 9;
  .badge-default {
    background: #ccc;
  }
}
div,
ul,
li,
img,
span,
a,
p {
  /* 抑制选中 */
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.mapDeviceType-box {
  position: absolute;
  top: 10px;
  left: 10px;
  z-index: 9;
  background: rgba(255, 255, 255, 0.8);
}
.mapDeviceType-box .mapDeviceType-item {
  /* .icon{} */
  .content {
    line-height: 20px;
  }
}
</style>
